
CAAT.Module( {
    defines : "FIAW.Actor.PlayerChip",
    depends : [
        "CAAT.Foundation.ActorContainer"
    ],
    extendsClass : "CAAT.Foundation.ActorContainer",

    extendsWith : function() {

        return {

            turn: null,

            __init: function(turn){
                this.__super();
                this.turn = turn;

                this.setGlobalAnchor(0.5, 0.5)
                    .enableEvents(false)
                    .setAlpha(0);

                return this;
            },

            makeShadow: function(gamePlayScene){
                var behavior = new CAAT.AlphaBehavior()
                    .setValues(0, 1)
                    .setFrameTime(gamePlayScene.time, 1000);

                var shadow = new CAAT.Foundation.Actor()
                    .setBackgroundImage(CAAT.currentDirector.getImage("sombrafichas"))
                    .setGlobalAnchor(0, 0)
                    .rescale()
                    .setAlpha(0)
                    .enableEvents(false)
                    .setLocation(this.x -88, this.y-84);

                gamePlayScene.gameBoard.addChild(shadow);
                gamePlayScene.gameBoard.setZOrder(this, 9000);

                shadow.addBehavior(behavior);

            }

        };


    }


});